%define major		0
%define libname_orig	lib%{name}
%define libname		%mklibname %{name} 0
%define develname	%mklibname -d %{name}

Name:		codeblocks
Version:	12.11
Release:	%mkrel 3
Summary:	A C++ IDE
Group:		Development/Other
License:	GPLv3
URL:		http://www.codeblocks.org/
Source0:	http://download.berlios.de/codeblocks/%{name}_%{version}-1.tar.gz
Source1:	%{name}.png
BuildRequires:	zip
BuildRequires:  autoconf
BuildRequires:  wxgtku2.8-devel
BuildRequires:	imagemagick
BuildRequires:	hunspell-devel
BuildRequires:	gamin-devel
BuildRequires:	libboost-devel
Suggests:	gcc-c++

%description
Code::Blocks is a free C++ IDE built specifically to meet the most 
demanding needs of its users. It was designed, right from the start, 
to be extensible and configurable.
Built around a plugin framework, Code::Blocks can be extended with 
plugin DLLs. It includes a plugin wizard so you can compile your own
plugins!

%package -n %{libname}
Summary:        Shared library for %{name}
Group:          System/Libraries
Provides:       %{libname_orig} = %{version}-%{release}

%description -n %{libname}
Shared libraries for %{name}.

%package -n %{develname}
Summary:        Development headers for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{libname_orig}-devel = %{version}-%{release}

%description -n %{develname}
Development headers for %{name}.

%prep
%setup -qn %{name}-%{version}release8629
%apply_patches

%build
%define Werror_cflags %nil
# workaround C++ in the sqplus templates (g++ >= 4.7), disable aliasing
%global optflags %{optflags} -fpermissive -fno-strict-aliasing
%configure2_5x --with-contrib-plugins=all --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{128x128,256x256}/apps
convert -scale 128x128 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
install -m 0644 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png

%files
%doc README AUTHORS BUGS COMPILERS TODO NEWS ChangeLog
%{_bindir}/*
%{_libdir}/%{name}
%{_mandir}/man1/*.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png

%files -n %{libname}
%{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 12.11-3.mga4
+ Revision: 529380
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 12.11-2.mga4
+ Revision: 451713
- rebuild for new boost

* Tue Jun 04 2013 dams <dams> 12.11-1.mga4
+ Revision: 437241
- new version 12.11
- remove merged and useless patches
- add BR: hunspell-devel, gamin-devel, libboost-devel
- add a better icon as %%Source1 for better rendering in menu
- clean specfile

* Fri Jan 11 2013 umeabot <umeabot> 10.05-6.mga3
+ Revision: 347966
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 pterjan <pterjan> 10.05-5.mga3
+ Revision: 334999
- Steal patches from Fedora
 * Use system squirrel and tinyxml
 * Add D support (from upstream)
 * Fix build
- Do not use wx-config-unicode which no longer exists

* Wed Sep 21 2011 fwang <fwang> 10.05-4.mga2
+ Revision: 146372
- drop .la files

  + ahmad <ahmad>
    - Rebuild against wxgtk2.8 with enabled catch_segvs

* Thu Mar 24 2011 ennael <ennael> 10.05-2.mga1
+ Revision: 76879
- clean spec file
- imported package codeblocks


* Sat Sep 18 2010 Funda Wang <fwang@mandriva.org> 10.05-2mdv2011.0
+ Revision: 579500
- rebuild
- drop unused lines

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 10.05-1mdv2011.0
+ Revision: 565643
- new version 10.05
- all patches have been merged upstream

  + Emmanuel Andry <eandry@mandriva.org>
    - suggests gcc-c++

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 8.02-3mdv2010.1
+ Revision: 489781
- sync with fedora patches

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 8.02-2mdv2009.0
+ Revision: 266537
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri May 02 2008 Adam Williamson <awilliamson@mandriva.org> 8.02-1mdv2009.0
+ Revision: 199981
- buildrequires imagemagick
- drop all the autotools stuff, it's not needed
- remove all the excess junk from description
- clean file list
- reorder spec
- clean spec

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version 8.02

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.rc2.1mdv2008.1
+ Revision: 116483
- Fix BR
- Fix Group
- import codeblocks


